p {
    margin: 0;
    padding: 0;
}
.logon {
    position: absolute;
    margin: 0 auto;
    background-color: lightgrey;
    border-radius: 5px;
    width: 100%;
    padding: 30px 0;
    top: 30%;
    left: 50%;
    transform: translateX(-50%);

    &__login--error,
    &__password--error {
        color: red;
        font-weight: bold;
        font-size: 0.7em;
        opacity: 0.6;
    }

    &__login--title,
    &__password--title {
        font-weight: bold;
        font-size: 1.5em;
        letter-spacing: 1px;
    }
    &__input {
        border: none;
        outline: none;
        box-shadow: 0 0 2px 0.5px grey;
        border-radius: 10px;
        overflow: hidden;
        padding: 5px;
        text-indent: 5px;
        margin: 5px;

        &:focus {
            box-shadow: 0 0 5px 2px black;
        }
    }

    &__submit {
        padding: 5px 15px;
        overflow: hidden;
        border-radius: 10px;
        text-transform: uppercase;
        margin-top: 1em;
        outline: none;
        background-color: lightgrey;
        cursor: pointer;
        &:hover {
            font-weight: bold;
            box-shadow: 0 0 5px 2px black;
            background-color: grey;
            color: white;
        }
    }
}
